List a user's notification rules
List notification rules of your PagerDuty user.
Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account.
For more information see the API Concepts Document
Scoped OAuth requires: users:contact_methods.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Query Parameters
Array of additional details to include.
Value in
- "contact_methods"
The incident urgency for which the notification rules are applied. If not specified, defaults to high.
Value in
- "high"
- "low"
- "all"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
Get a user's notification rule GET
Get details about a user's notification rule. Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users:contact_methods.read`
List Notification Subscriptions GET
Retrieve a list of Notification Subscriptions the given User has. <!-- theme: warning --> > Users must be added through `POST /users/{id}/notification_subscriptions` to be returned from this endpoint. Scoped OAuth requires: `subscribers.read`